<div class="pt-20 h-full">
  <div class="rounded p-5 h-full w-[1100px] ml-4 shadow-lg bg-white">
    <div class="flex justify-between p-5 text-center box-border leading-3">
      <div class="text-center  box-border">
        <div class="flex justify-center ">
          <div
            class=" inline-block
            px-4
            py-2
            bg-biru
            text-white
            font-medium
            text-xs
            leading-snug
            uppercase
            rounded-l-md
            hover:bg-blue-700
            hover:shadow-lg
            focus:bg-blue-700
            focus:shadow-lg
            focus:outline-none
            focus:ring-0
            active:bg-blue-800
            transition
            duration-150
            ease-in-out"
            mwlCalendarPreviousView
            [view]="view"
            [(viewDate)]="viewDate"
            (viewDateChange)="closeOpenMonthViewDay()"
          >
            Previous
          </div>
          <div
            class="inline-block
            px-4
            py-2
            bg-white
            text-black
            font-medium
            text-xs
            leading-snug
            uppercase
            border-gray-400
            border-[1px]
            hover:bg-gray-400
            hover:shadow-lg
            focus:bg-gray-400
            focus:shadow-lg
            focus:outline-none
            focus:ring-0
            active:bg-gray-400
            transition
            duration-150
            ease-in-out"
            mwlCalendarToday
            [(viewDate)]="viewDate"
          >
            Today
          </div>
          <div
            class="inline-block
            px-7
            py-2
            bg-biru
            text-white
            font-medium
            text-xs
            leading-snug
            uppercase
            rounded-r-md
            shadow-md
            hover:bg-blue-700
            hover:shadow-lg
            focus:bg-blue-700
            focus:shadow-lg
            focus:outline-none
            focus:ring-0
            active:bg-blue-800
            transition
            duration-150
            ease-in-out"
            mwlCalendarNextView
            [view]="view"
            [(viewDate)]="viewDate"
            (viewDateChange)="closeOpenMonthViewDay()"
          >
            Next
          </div>
        </div>
      </div>
      <div class="text-2xl font-bold">
        <h3>{{ viewDate | calendarDate:(view + 'ViewTitle'):'en' }}</h3>
      </div>
      <div class="text-center  box-border">
        <div class="flex justify-center">
          <div
            class="inline-block
            px-7
            py-2
            bg-biru
            text-white
            font-medium
            text-xs
            leading-snug
            uppercase
            rounded-l-md
            hover:bg-blue-700
            hover:shadow-lg
            focus:bg-blue-700
            focus:outline-none
            focus:ring-0
            active:bg-blue-800
            transition
            duration-150
            ease-in-out"
            (click)="setView(CalendarView.Month)"
            [class.active]="view === CalendarView.Month"
          >
            Month
          </div>
          <div
            class="inline-block
            px-7
            py-2
            bg-biru
            text-white
            font-medium
            text-xs
            leading-snug
            uppercase
            hover:bg-blue-700
            focus:bg-blue-700
            focus:outline-none
            focus:ring-0
            active:bg-blue-800
            transition
            duration-150
            ease-in-out"
            (click)="setView(CalendarView.Week)"
            [class.active]="view === CalendarView.Week"
          >
            Week
          </div>
          <div
            class="inline-block
            px-7
            py-2
            bg-biru
            text-white
            font-medium
            text-xs
            leading-snug
            uppercase
            rounded-r-md
            hover:bg-blue-700
            focus:bg-blue-700
            focus:outline-none
            focus:ring-0
            active:bg-blue-800
            transition
            duration-150
            ease-in-out"
            (click)="setView(CalendarView.Day)"
            [class.active]="view === CalendarView.Day"
          >
            Day
          </div>
        </div>
      </div>
    </div>
    <br />
<div [ngSwitch]="view">
  <mwl-calendar-month-view
    *ngSwitchCase="CalendarView.Month"
    [viewDate]="viewDate"
    [events]="events"
    [refresh]="refresh"
    [activeDayIsOpen]="activeDayIsOpen"
    (dayClicked)="dayClicked($event.day)"
    (eventClicked)="handleEvent('Clicked', $event.event)"
    (eventTimesChanged)="eventTimesChanged($event)"
  >
  </mwl-calendar-month-view>
  <mwl-calendar-week-view
    *ngSwitchCase="CalendarView.Week"
    [viewDate]="viewDate"
    [events]="events"
    [refresh]="refresh"
    (eventClicked)="handleEvent('Clicked', $event.event)"
    (eventTimesChanged)="eventTimesChanged($event)"
  >
  </mwl-calendar-week-view>
  <mwl-calendar-day-view
    *ngSwitchCase="CalendarView.Day"
    [viewDate]="viewDate"
    [events]="events"
    [refresh]="refresh"
    (eventClicked)="handleEvent('Clicked', $event.event)"
    (eventTimesChanged)="eventTimesChanged($event)"
  >
  </mwl-calendar-day-view>
</div>

<!-- Everything you see below is just for the demo, you don't need to include it in your app -->

<br /><br /><br />

<h3>
  Edit events
  <button class="btn btn-primary float-end" (click)="addEvent()">
    Add new
  </button>
  <div class="clearfix"></div>
</h3>

<div class="table-responsive">
  <table class="table table-bordered">
    <thead>
      <tr>
        <th>Title</th>
        <th>Primary color</th>
        <th>Secondary + text color</th>
        <th>Starts at</th>
        <th>Ends at</th>
        <th>Remove</th>
      </tr>
    </thead>

    <tbody>
      <tr *ngFor="let event of events">
        <td>
          <input
            type="text"
            class="form-control"
            [(ngModel)]="event.title"
            (keyup)="refresh.next()"
          />
        </td>
        <td>
          <input
            type="color"
            [(ngModel)]="event.color!.primary"
            (change)="refresh.next()"
          />
        </td>
        <td>
          <input
            type="color"
            [(ngModel)]="event.color!.secondary"
            (change)="refresh.next()"
          />
          <input
            type="color"
            [ngModel]="event.color!.secondaryText ?? '#1e90ff'"
            (ngModelChange)="event.color!.secondaryText = $event"
            (change)="refresh.next()"
          />
        </td>
        <td>
          <input
            class="form-control"
            type="text"
            mwlFlatpickr
            [(ngModel)]="event.start"
            (ngModelChange)="refresh.next()"
            [altInput]!="true"
            [convertModelValue]!="true"
            [enableTime]!="true"
            dateFormat="Y-m-dTH:i"
            altFormat="F j, Y H:i"
            placeholder="Not set"
          />
        </td>
        <td>
          <input
            class="form-control"
            type="text"
            mwlFlatpickr
            [(ngModel)]="event.end"
            (ngModelChange)="refresh.next()"
            [altInput]!="true"
            [convertModelValue]!="true"
            [enableTime]!="true"
            dateFormat="Y-m-dTH:i"
            altFormat="F j, Y H:i"
            placeholder="Not set"
          />
        </td>
        <td>
          <button class="btn btn-danger" (click)="deleteEvent(event)">
            Delete
          </button>
        </td>
      </tr>
    </tbody>
  </table>
</div>

<ng-template #modalContent let-close="close">
  <div class="modal-header">
    <h5 class="modal-title">Event action occurred</h5>
    <button type="button" class="close" (click)="close()">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <div>
      Action:
      <pre>{{ modalData.action }}</pre>
    </div>
    <div>
      Event:
      <pre>{{ modalData.event | json }}</pre>
    </div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-outline-secondary" (click)="close()">
      OK
    </button>
  </div>
</ng-template>
